### Hierarchy

- BatchGetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- itemCounter
- params
- tables

### Methods

- exec
- execFullResponse
- execNoMap
- fetch
- forModel
- mapResponse

## Constructors

### constructor

- new BatchGetRequest(): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:22

  #### Returns BatchGetRequest

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/batchget/batch-get.request.ts:20

### Private itemCounter

itemCounter: number = 0

- Defined in dynamo/batchget/batch-get.request.ts:22

### params

params: BatchGetItemInput

- Defined in dynamo/batchget/batch-get.request.ts:19

### Private tables

tables: Map<string, ModelConstructor<any>> = new Map()

- Defined in dynamo/batchget/batch-get.request.ts:21

## Methods

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:72

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetResponse>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetFullResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:65

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetFullResponse>

### execNoMap

- execNoMap(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get.request.ts:61

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetItemOutput>

### Private fetch

- fetch(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get.request.ts:80

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchGetItemOutput>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>, consistentRead?: boolean): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:37

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

    a partial of T that contains Partition key and SortKey (if necessary). Throws if missing.

  - ##### Default value consistentRead: boolean = false

  #### Returns BatchGetRequest

### Private mapResponse

- mapResponse(response: BatchGetItemOutput): BatchGetFullResponse

- - Defined in dynamo/batchget/batch-get.request.ts:85

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns BatchGetFullResponse

Generated using TypeDoc